export interface Resource {
  resourceId?: number;
  title?: string;
  description?: string;
  contentType: ContentType;
  relevantSectors: Sector[];
  relevantRegions: Region[];
  imagePath?: string;
  files: string[];
  links:string[];
  originalSource: string;
  keywords:string[];
  language: string;
  contactName: string;
  contactInstitution: string;
  contactDetails: string;
  rating?: number;
}


export class ContentType{
  public resourceTypeId!:number;
  public value!: string;
}
export class Sector{
  public sectorId!: number;
  public value!: string;
}
export class Region{
  public regionId!: number;
  public value!: string;
}
export class Language{
  public languageId!: number;
  public value!: string;
}
export class Keyword{
  public keywordId!: number;
  public value!: string;
}
